### Property

# Gdk GLTextureBuilder:format

since: 4.12

#### Declaration

    property format: Gdk.MemoryFormat [ read, write ]

#### Description [src]

The format when downloading the texture.

Type: | `GdkMemoryFormat`
Available since: | 4.12

Default value | GDK_MEMORY_R8G8B8A8_PREMULTIPLIED
Getter method | `gdk_gl_texture_builder_get_format()`
Setter method | `gdk_gl_texture_builder_set_format()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no